// 郵便番号検索処理.
//

var jsonpMain = function( zip ) {
    if( useString( zip ) == false ) {
        return jsonpRPC.createError( "郵便番号が指定されていません" ) ;
    }
    else if( isNumeric( zip ) == false ) {
        if( zip.indexOf( "-" ) >= 0 ) {
            zip = changeString( zip,"-","" ) ;
        }
    }
    if( ( zip = trim( zip ) ).length != 7 ) {
        return jsonpRPC.createError( "指定郵便番号["+zip+"]は７桁の数値(半角)で入力してください" ) ;
    }
    
    var ret = ZipAddressMaster.first_by_zip( zip ) ;
    if( ret == null || ret.length <= 0 ) {
        return jsonpRPC.createError( "指定郵便番号["+zip+"]の都道府県は存在しません" ) ;
    }
    return ret[ 0 ] ;
} ;

